:root{
    --color--brown:#3D3632;
    --color--white:#EDE1D5;
    --color--orange:#AD4905;
}

.white--text{
    color: var(--color--white);
}

.brown--text{
    color: var(--color--brown);
}

.logo {
    width: 250px;
    transition: all 0.3s ease-in-out; /* Smooth transition for logo changes */
}

.white--logo{
    filter: brightness(0) saturate(100%) invert(91%) sepia(22%) saturate(127%) hue-rotate(346deg) brightness(97%) contrast(91%);
}

.dark--logo{
    filter: brightness(0) saturate(100%)  invert(18%) sepia(18%) saturate(346%) hue-rotate(338deg) brightness(98%) contrast(89%);
}

.header{
width: 100%;
z-index: 2;
display: flex;
position: fixed;
justify-content: center;
align-content: center;
margin-top: 40px;
}


button.dark-button{
    cursor: pointer;
    width: 131px;
    height: 37px;
    z-index: 2;
    border: 1px solid var(--color--white);
    background: var(--color--white);
    color: var(--color--brown);
    text-align: center;
    font-family: "nitti", monospace;
    font-size: 16px;
    font-style: normal;
    font-weight: 300;
    line-height: 20px; /* 125% */
    letter-spacing: -0.64px;
    transition: background 0.3s ease; /* Smooth transition for background change */
}

button.dark-button:hover {
    background: var(--color--brown);
    color: var(--color--white);
}



button.button{
    cursor: pointer;
    width: 131px;
    height: 37px;
    bottom: 2.5rem;
    right: 2.5rem;
    position: fixed;
    z-index: 2;
    border: 1px solid #AD4905;
    background: var(--color--orange);
    color: var(--color--white);
    text-align: center;
    font-family: "nitti", monospace;
    font-size: 16px;
    font-style: normal;
    font-weight: 300;
    line-height: 20px; /* 125% */
    letter-spacing: -0.64px;
    transition: all 0.3s ease; /* Smooth transition for background change */
}

button.button:hover {
    background: rgba(173,73, 5, 1); /* Increased opacity on hover */
    color: #3D3632;
}

img .logo{
    width: 213px;
    height: 48px;
    flex-shrink: 0;
}

.hero{
    z-index: 1;
    width: 100%;
    height: 100vh;
    background-size: cover;
    background-position: center center;
}

.center--align{
    text-align: center;
}

.hero-text-holder{
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    align-content: center;
    flex-direction: column;
}

.our-rooms{
    background-color: var(--color--brown);
}

.our-facilities{
    background-color: var(--color--white);
}

.our-manifesto{
    background-color: var(--color--orange);
}

h1{
    font-family: "vendetta", serif;
    font-weight: 300;
    font-style: italic;
    color: var(--color--white);
    text-align: center;
    font-size: 7rem;
    line-height: 6.125rem; /* 87.5% */
}

h2{
    color: var(--color--white);
    text-align: left;
    font-family: "vendetta", serif;
    font-size: 5rem;
    font-style: italic;
    font-weight: 300;
    line-height: 4.5rem;
    letter-spacing: -0.92px;
}

h3{
    font-family: "vendetta", serif;
    font-weight: 300;
    font-style: italic;
    font-size: 4rem;
    line-height: 3.5rem;
    padding-bottom: 1rem;
}

p{
    font-family: "nitti", monospace;
    font-size: 16px;
    font-style: normal;
    font-weight: 300;
    line-height: 20px; /* 125% */
    letter-spacing: -0.64px;
}

.row {
	display: grid;
	grid-template-columns: repeat(12, 1fr);
	grid-template-rows: 1fr auto;
	column-gap: 2rem;
    align-items: start;
}

.grid-six {
	grid-column: auto / span 2;
}

.grid-fourth {
	grid-column: auto / span 3;
}

.grid-third {
	grid-column: auto / span 4;
}

.grid-two-thirds {
	grid-column: auto / span 8;
}

.grid-seven {
	grid-column: auto / span 7;
}

.grid-half {
	grid-column: auto / span 6;
}

.grid-three-fourths {
	grid-column: auto / span 9;
}

.grid-five {
    grid-column: auto / span 5;
}

[class*="grid-start-"] {
	grid-row-start: 1;
}

.grid-start-first {
	grid-column-start: 1;
}
.grid-start-second {
	grid-column-start: 2;
}

.grid-start-third {
	grid-column-start: 3;
}

.grid-start-fourth {
	grid-column-start: 4;
}

.grid-start-fifth{
	grid-column-start: 5;
}

.grid-start-half {
	grid-column-start: 7;
}

.grid-start-two-thirds {
	grid-column-start: 9;
}

.grid-start-three-fourths {
	grid-column-start: 10;
}


.image>img {
    object-fit: cover;
    width: 100%
  }

p.hero--paragraph{
    color: var(--color--white);
    text-transform: uppercase;
    text-align: center;
}

.padding--bottom-1{
    padding-bottom: 1rem;

}

.padding--bottom-2{
    padding-bottom: 2rem;
}

.padding--bottom-3{
    padding-bottom: 3rem;
}

.padding--bottom-6{
    padding-bottom: 6rem;
}

.padding--section{
    padding-bottom: 8rem;
    padding-top: 8rem;
}

.padding--section-small{
    padding-bottom: 3rem;
    padding-top: 3rem;
}

.padding--top-3{
    padding-top: 3rem;
}

.img{
width: 100%;
height: 100%;
background-position: center center;
background-repeat: no-repeat;
background-size: cover;

}

.aspect-16-9{
    aspect-ratio: 16 / 9;
}

.aspect-4-3{
    aspect-ratio: 4 / 3;
}


.opacity-0 {
    opacity: 0;
}

.c-scroll-opacity {
    opacity: 1 !important;
    transition: all 0.75s ease-out;
   -webkit-transition: all 0.75s ease-out;
}

.img1n2 {
    position: relative;
    top: 0;
    left: 0;
}
  
.img1 {
    position: relative;
    width: 90%;
    height: 90%;
}
  
.img2 {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 90%;
    height: 90%;
}

video {
    position: absolute;
    z-index: -1;
    height: 100vh;
    width: 100%;
    object-fit: cover;
}


  @keyframes rotateAndScale {
    0%, 100% {
      transform: rotate(0deg) scale(0.8);
    }
    50% {
      transform: rotate(360deg) scale(1.1);
    }
  }
  
  .animated-object {

    animation: rotateAndScale 120s infinite linear;
  }

.dark--background{
    background-color: var(--color--brown);
}


.flex{
    display: flex;
    align-items: start;
    justify-content: center;
    padding-left: auto;
    padding-right: auto;

}

.container{
    width: 100%;
    margin-left: auto;
    margin-right: auto;
  }


.footer-text {
    padding-left: 4rem;
    padding-right: 2.5rem;
 }

a:hover{
    cursor: pointer;
    color: var(--color--orange);
 }

 a.darkhover{
  text-decoration: underline;
 }
 a.darkhover:hover{
    cursor: pointer;
    color: var(--color--brown);
 }

 .footer-text{
    width:50%
 }

 .mobile{
    display: none;
}
.desktop{
    display: block;
}

/* Mobile Devices: Less than 768px */
@media (max-width: 767px) {
    .mobile{
        display: block;
    }
    .desktop{
        display: none;
    }
    .hero, .hero-text-holder, video{
        height: 80vh;
    }

    .row {
        grid-template-columns: 1fr; /* One column layout */
        grid-column-gap: 0;
    }
    [class*="grid-start-"] {
        grid-row-start: auto;
        grid-column-start: 1;
        grid-column: span 1;
    }

    h1{
        font-size: 18vw;
        line-height: 15vw;
    }

    .hero--paragraph{
        font-size: 3.65vw;
    }

    h2{
        font-size: 3.5rem;
        font-style: italic;
        font-weight: 300;
        line-height:  3rem;
    }

    h3{
        font-size: 2.5rem;
        font-style: italic;
        font-weight: 300;
        line-height:  3rem;
        padding-bottom: 0rem;
    }
    .padding--section{
        padding-bottom: 2.5rem;
        padding-top: 2.5rem;
    }

    .header{
        margin-top: 30px;
    }
    .logo{
        width: 200px;
    }
    .sm-padding-0-5{
        padding-bottom: 0.5rem;
    }

    .sm-padding-1{
        padding-bottom: 1rem;
    }

    .sm-padding-1-5{
        padding-bottom: 1.5em;
    }

    .container {
        padding-left: 1.5rem;
        padding-right: 1.5rem;
    }

    .aspect-16-9{
        aspect-ratio: 4 / 3;
    }

    .img1n2{
        width: 80%;
        margin: 0 auto;
    }
    
    .img1{

        left: 10%;  
    }
    .img2{
    position: absolute;
    margin: 0 auto;
    top: 10px;
    left: 5%;
    width: 90%;
    height: 90%;
    }
    .flex{
    flex-direction: column;
    }

    .footer-text{
    width: 100%;
    padding-left: 0;
    padding-right: 0;
    padding-top: 1.5rem;
    padding-bottom: 1.5rem;
    }
    .button{
        right: 1.5rem;
        bottom: 1.5rem;
    }

    .order1{
        order: 1 !important;
      }
      .order2{
          order: 2 !important;
      }
      
}

/* Tablet Devices: Between 768px and 1023px */
@media (min-width: 768px) and (max-width: 1023px) {
    .container {
        padding-left: 1.5rem;
        padding-right: 1.5rem;
    }

    .row {
        grid-template-columns: repeat(8, 1fr); /* Six columns layout */
    }

    .hero--paragraph{
        font-size: 1rem;
    }
}

/* Adjusting grid item spans for tablet */
@media (min-width: 768px) and (max-width: 1023px) {
    .grid-half {
        grid-column: span 5; /* Spans all 6 columns on tablet */
    }
    .grid-third, .grid-fourth {
        grid-column: span 3; /* Adjustments for other fractions */
    }
    .grid-two-thirds {
        grid-column: span 5; /* Adjustments for other fractions */
    }

    .grid-seven{
        grid-column: span 5; /* Adjustments for other fractions */
    }
}

@media (min-width: 1024px) and (max-width: 1439px) {
    .container{
        max-width: 100%;
        padding-left: 2.5rem;
        padding-right: 2.5rem;
    }
}

@media (min-width: 1440px) {
    .container{
        max-width: 90rem;
        padding-left: 2.5rem;
        padding-right: 2.5rem;
    }
}
